jQuery(function ($) {
    var
        $color_picker = $('.bookme-pro-js-color-picker'),
        $editableElements = $('.bookme-pro-js-editable'),
        $show_progress_tracker = $('#bookme-pro-show-progress-tracker'),
        $step_settings = $('#bookme-pro-step-settings'),
        // Service step.
        $staff_name_with_price = $('#bookme-pro-staff-name-with-price'),
        $service_name_with_duration = $('#bookme-pro-service-name-with-duration'),
        $required_employee = $('#bookme-pro-required-employee'),
        $required_location = $('#bookme-pro-required-location'),
        $calendar_color_left = $('.bookme-pro-js-calendar-color-picker-left'),
        $calendar_color_right = $('.bookme-pro-js-calendar-color-picker-right'),
        $show_calendar_availability = $('#bookme-pro-calendar-availability'),
        $auto_calendar_size = $('#bookme-pro-auto-calendar-height'),
        $layout = $('#bookme-pro-app-layout'),
        // Step details.
        $required_phone = $('#bookme-pro-cst-required-phone'),
        $first_last_name = $('#bookme-pro-cst-first-last-name'),
        $show_login_button = $('#bookme-pro-show-login-button'),
        // Buttons.
        $save_button = $('#ajax-send-appearance'),
        $reset_button = $('button[type=reset]'),
        $checkboxes = $('#bookme-pro-appearance').find('input[type="checkbox"]'),
        calendar_loaded = false
        ;


    $checkboxes.each(function () {
        $(this).data('default', $(this).prop('checked'));
    });
    // Menu fix for WP 3.8.1
    $('#toplevel_page_ab-system > ul').css('margin-left', '0px');

    // Apply color from color picker.
    var applyColor = function () {
        var color = $color_picker.wpColorPicker('color'),
            color_important = color + '!important;';
        $('.bookme-pro-steps').find('li').css('color', color).find('li.is-active:before').css('border-color', color);
        $('#bookme-pro-step-1 label').css('color', color);
        $('.bookme-pro-label-error').css('color', color);
        $('.bookme-pro-js-actions > a').css('background-color', color);
        $('.bookme-pro-js-mobile-next-step').css('background', color);
        $('.bookme-pro-js-week-days label').css('background-color', color);

        $('.picker__day--selected').attr('style', 'color: ' + color_important);
        $('.picker__button--clear').attr('style', 'color: ' + color_important);
        $('.picker__button--today').attr('style', 'color: ' + color_important);
        $('.bookme-pro-extra-step .bookme-pro-extras-thumb.bookme-pro-extras-selected').css('border-color', color);
        $('.bookme-pro-columnizer .bookme-pro-day, .bookme-pro-schedule-date,.bookme-pro-pagination li.active').css({
            'background': color,
            'border-color': color
        });

        $('.bookme-pro-hour').find('.ladda-label').css('background', color).css('border-color', color);

        $('.bookme-pro-details-step label').css('color', color);
        $('.bookme-pro-payment-nav label').attr('style', 'font-weight: 400;');
        $('.bookme-pro-card-form label').attr('style', 'color:' + color);
        $('.bookme-pro-nav-tabs .ladda-button, .bookme-pro-nav-steps .ladda-button, .bookme-pro-btn, .bookme-pro-round, .bookme-pro-square').css('background-color', color);
        $('.bookme-pro-triangle').css('border-bottom-color', color);
        $('#bookme-pro-pickadate-style').html('.picker__nav--next:before { border-left: 6px solid ' + color_important + ' } .picker__nav--prev:before { border-right: 6px solid ' + color_important + ' } .bookme-pro-steps li.is-active:before { border-color: ' + color_important + ' } .bookme-pro-steps > li:after {     background-color: ' + color_important + '; } .bookme-pro-steps > li:before {border-color: ' + color_important + '} .bookme-pro-form .picker__day:hover {color: ' + color_important + ' }');
    };

    // Init color picker.
    $color_picker.wpColorPicker({
        change: applyColor
    });

    var applyCalColor = function () {
        $('.bookme-pro-form .picker__frame').attr('style', 'background: linear-gradient(135deg, ' + $calendar_color_left.wpColorPicker('color') + ' 0%, ' + $calendar_color_right.wpColorPicker('color') + ' 100%) !important;');
    };

    $calendar_color_left.wpColorPicker({
        change: applyCalColor
    });

    $calendar_color_right.wpColorPicker({
        change: applyCalColor
    });


    // Init editable elements.
    $editableElements.editable();

    // Show progress tracker.
    $show_progress_tracker.on('change', function () {
        $('.bookme-pro-steps').toggle(this.checked);
    }).trigger('change');

    // Show step specific settings.
    $('li.bookme-pro-nav-item').on('shown.bs.tab', function (e) {
        $step_settings.children().hide();
        switch (e.target.getAttribute('data-target')) {
            case '#bookme-pro-step-1':
                $step_settings.find('.bookme-pro-js-service-settings').show();
                break;
            case '#bookme-pro-step-2':
                $step_settings.find('.bookme-pro-js-time-settings').show();
                break;
            case '#bookme-pro-step-4':
                $step_settings.find('.bookme-pro-js-details-settings').show();
                break;
            case '#bookme-pro-step-5':
                $step_settings.find('.bookme-pro-js-done-settings').show();
                break;
        }
    });

    // Dismiss help notice.
    $('#bookme-pro-js-hint-alert').on('closed.bs.alert', function () {
        $.ajax({
            url: ajaxurl,
            data: {action: 'bookme_pro_dismiss_appearance_notice', csrf_token: BookmeProL10n.csrf_token}
        });
    });

    /**
     * Step Service
     */
    var slots = [];
    for(var d=1; d<=31;d++){
        slots[d]= Math.floor((Math.random() * 30) + 10);
    }

    function initTooltip() {
        var value = $('.bookme_pro_l10n_label_select_date').editable('getValue', true);
        // Init tooltip
        $('.bookme-pro-calendar').find('.picker__day').each(function () {
            if (!$(this).hasClass("picker__day--disabled") && !$(this).hasClass("picker__day--outfocus")) {
                var date = new Date($(this).data('pick'));
                var tooltip = slots[date.getDate()] + ' ' + value.bookme_pro_l10n_calendar_availability;
                $(this).attr("title", tooltip);
                $(this).bookmeProTooltip();
                $(this).removeClass('bookme-pro-hide');
            }
        });
    }

    $('.bookme_pro_l10n_label_select_date').on('save', function(e, params) {
        setTimeout(function(){
            initTooltip()
        });
    });

    // Function to adjust calendar sizing
    function adjust_calendar() {
        jQuery('.bookme-pro-calendar .picker__table').each(function () {
            var boxesWidth = jQuery(this).find('tbody tr td').width();
            var boxesHeight = boxesWidth * 1;

            if($auto_calendar_size.is(':checked')) {
                jQuery(this).find('tbody tr td').height(boxesHeight);
                jQuery(this).find('tbody tr td div').css('line-height', boxesHeight + 'px');
            }

            if (boxesWidth < 50) {
                jQuery(this).find('tbody tr td div span').css({
                    width: boxesWidth + 'px',
                    height: boxesHeight + 'px',
                    'line-height': boxesHeight - 1 + 'px'
                });
            } else if (boxesWidth < 65) {
                jQuery(this).find('tbody tr td div span').css({
                    width: '40px',
                    height: '40px',
                    'line-height': '39px'
                });
            } else {
                jQuery(this).find('tbody tr td div span').css({
                    width: '50px',
                    height: '50px',
                    'line-height': '49px'
                });
            }

        });
    }

    $(window).on('resize', function () {
        adjust_calendar();
    });

    // Init calendar.
    var picker = $('.bookme-pro-js-date-from').pickadate({
        formatSubmit: 'yyyy-mm-dd',
        format: BookmeProL10n.date_format,
        min: true,
        clear: false,
        close: false,
        today: false,
        closeOnSelect: false,
        weekdaysShort: BookmeProL10n.days,
        monthsFull: BookmeProL10n.months,
        labelMonthNext: BookmeProL10n.nextMonth,
        labelMonthPrev: BookmeProL10n.prevMonth,
        onRender: function () {
            applyColor();
            applyCalColor();
            initTooltip();

            $('.bookme-pro-calendar').find('.picker__day').each(function () {
                var $text = $(this).text(),
                    $span = $('<span class="bookme-pro-calendar-date" />');
                $span.html($text);
                $(this).html($span);
            });
            if (!calendar_loaded) {
                setTimeout(function () {
                    // for adjust perfectly
                    adjust_calendar();
                }, 10);
                calendar_loaded = true;
            } else {
                adjust_calendar();
            }
        },
        firstDay: BookmeProL10n.start_of_week == 1,
        klass: {
            picker: 'picker picker--opened picker--focused bookme-pro-calendar'
        },
        onSet: function (timestamp) {
            this.open();
        },
        onClose: function () {
            this.open(false);
        }
    });

    $auto_calendar_size.on('change',function () {
        calendar_loaded = false;
        $('.bookme-pro-js-date-from').pickadate('render',true);
    });

    // Show price next to staff member name.
    $staff_name_with_price.on('change', function () {
        var staff = $('.bookme-pro-js-select-employee').val();
        if (staff) {
            $('.bookme-pro-js-select-employee').val(staff * -1);
        }
        $('.employee-name-price').toggle($staff_name_with_price.prop("checked"));
        $('.employee-name').toggle(!$staff_name_with_price.prop("checked"));
    }).trigger('change');

    // Show duration next to service name.
    $service_name_with_duration.on('change', function () {
        var service = $('.bookme-pro-js-select-service').val();
        if (service) {
            $('.bookme-pro-js-select-service').val(service * -1);
        }
        $('.service-name-duration').toggle($service_name_with_duration.prop("checked"));
        $('.service-name').toggle(!$service_name_with_duration.prop("checked"));
    }).trigger('change');

    // show available timeslots on calendar
    $show_calendar_availability.on('change', function () {
        $('#bookme-pro-tooltip').toggle($show_calendar_availability.prop("checked"));
    }).trigger('change');

    // app layout
    $layout.on('change', function () {
        var val = $(this).val();
        if(val == 1){
            var selector = $('.bookme-pro-service-step').find('.bookme-pro-table');
            selector.addClass('bookme-pro-table-row').removeClass('bookme-pro-table');
        }else{
            var selector = $('.bookme-pro-service-step').find('.bookme-pro-table-row');
            selector.addClass('bookme-pro-table').removeClass('bookme-pro-table-row');
        }
        $auto_calendar_size.trigger('change');
    }).trigger('change');


    /**
     * Step Details
     */

    // Show login form.
    $show_login_button.change(function () {
        $('#bookme-pro-js-show-login-form').toggle(this.checked);
    }).trigger('change');

    // Init phone field.
    if (BookmeProL10n.intlTelInput.enabled) {
        $('.bookme-pro-user-phone').intlTelInput({
            preferredCountries: [BookmeProL10n.intlTelInput.country],
            initialCountry: BookmeProL10n.intlTelInput.country,
            geoIpLookup: function (callback) {
                $.get('https://ipinfo.io', function () {
                }, 'jsonp').always(function (resp) {
                    var countryCode = (resp && resp.country) ? resp.country : '';
                    callback(countryCode);
                });
            },
            utilsScript: BookmeProL10n.intlTelInput.utils
        });
    }

    // Show first and last name.
    $first_last_name.on('change', function () {
        $first_last_name.popover('toggle');
        if (this.checked) {
            $('.bookme-pro-details-full-name').css('display', 'none');
            $('.bookme-pro-details-first-last-name').css('display', 'block');
        } else {
            $('.bookme-pro-details-full-name').css('display', 'block');
            $('.bookme-pro-details-first-last-name').css('display', 'none');
        }
    });

    /**
     * Step Payment.
     */

    // Switch payment step view (single/several services).
    $('#bookme-pro-payment-step-view').on('change', function () {
        $('.bookme-pro-js-payment-single-app').toggle(this.value == 'single-app');
        $('.bookme-pro-js-payment-several-apps').toggle(this.value == 'several-apps');
    });

    // Show credit card form.
    $('.bookme-pro-payment-nav :radio').on('change', function () {
        $('form.bookme-pro-card-form').toggle(this.id == 'bookme-pro-card-payment');
    });

    /**
     * Step Done.
     */

    // Switch done step view (success/error).
    $('#bookme-pro-done-step-view').on('change', function () {
        $('.bookme-pro-js-done-success').toggle(this.value == 'booking-success');
        $('.bookme-pro-js-done-limit-error').toggle(this.value == 'booking-limit-error');
        $('.bookme-pro-js-done-processing').toggle(this.value == 'booking-processing');
    });


    /**
     * Misc.
     */

    $('#bookme-pro-custom-css-dialog-show').on('click', function (e) {
        e.preventDefault();
        showSidepanel($('#bookme-pro-custom-css-dialog'));
    });

    // Custom CSS.
    $('#bookme-pro-custom-css-save').on('click', function (e) {
        var $custom_css = $('#bookme-pro-custom-css').val();

        saved_css = $custom_css;

        var ladda = Ladda.create(this);
        ladda.start();

        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'bookme_pro_save_custom_css',
                csrf_token: BookmeProL10n.csrf_token,
                custom_css: $custom_css
            },
            dataType: 'json',
            success: function (response) {
                if (response.success) {
                    hideSidepanel($('#bookme-pro-custom-css-dialog'));
                    bookmeProAlert({success: [response.data.message]});
                }
            },
            complete: function () {
                ladda.stop();
            }
        });
    });

    $('#bookme-pro-custom-css-cancel').on('click', function (e) {
        hideSidepanel($('#bookme-pro-custom-css-dialog'));
        $('#bookme-pro-custom-css').val(saved_css);
    });

    $('#bookme-pro-custom-css').keydown(function (e) {
        if (e.keyCode === 9) { //tab button
            var start = this.selectionStart;
            var end = this.selectionEnd;

            var $this = $(this);
            var value = $this.val();

            $this.val(value.substring(0, start)
                + "\t"
                + value.substring(end));

            this.selectionStart = this.selectionEnd = start + 1;

            e.preventDefault();
        }
    });

    // Save options.
    $save_button.on('click', function (e) {
        e.preventDefault();
        // Prepare data.
        var data = {
            action: 'bookme_pro_update_appearance_options',
            csrf_token: BookmeProL10n.csrf_token,
            options: {
                // Color.
                'bookme_pro_app_color': $color_picker.wpColorPicker('color'),
                'bookme_pro_cal_color_left': $calendar_color_left.wpColorPicker('color'),
                'bookme_pro_cal_color_right': $calendar_color_right.wpColorPicker('color'),
                // Checkboxes.
                'bookme_pro_app_service_name_with_duration': Number($service_name_with_duration.prop('checked')),
                'bookme_pro_app_show_login_button': Number($show_login_button.prop('checked')),
                'bookme_pro_app_show_calendar_availability': Number($show_calendar_availability.prop('checked')),
                'bookme_pro_app_auto_calendar_size': Number($auto_calendar_size.prop('checked')),
                'bookme_pro_app_show_progress_tracker': Number($show_progress_tracker.prop('checked')),
                'bookme_pro_app_staff_name_with_price': Number($staff_name_with_price.prop('checked')),
                'bookme_pro_app_required_employee': Number($required_employee.prop('checked')),
                'bookme_pro_app_required_location': Number($required_location.prop('checked')),
                'bookme_pro_cst_required_phone': Number($required_phone.prop('checked')),
                'bookme_pro_cst_first_last_name': Number($first_last_name.prop('checked')),
                // Select
                'bookme_pro_app_layout': Number($layout.val())
            }
        };
        // Add data from editable elements.
        $editableElements.each(function () {
            $.extend(data.options, $(this).editable('getValue', true));
        });

        // Update data and show spinner while updating.
        var ladda = Ladda.create(this);
        ladda.start();
        $.post(ajaxurl, data, function (response) {
            ladda.stop();
            bookmeProAlert({success: [BookmeProL10n.saved]});
        });
    });

    // Reset options to defaults.
    $reset_button.on('click', function () {
        // Reset color.
        $color_picker.wpColorPicker('color', $color_picker.data('selected'));
        $calendar_color_left.wpColorPicker('color', $calendar_color_left.data('selected'));
        $calendar_color_right.wpColorPicker('color', $calendar_color_right.data('selected'));

        // Reset editable texts.
        $editableElements.each(function () {
            $(this).editable('setValue', $.extend({}, $(this).data('values')));
        });

        $checkboxes.each(function () {
            if ($(this).prop('checked') != $(this).data('default')) {
                $(this).prop('checked', $(this).data('default')).trigger('change');
            }
        });
        $first_last_name.popover('hide');

        setTimeout(function(){
            initTooltip()
        });
    });
});