<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<div id="bookme-pro-export-dialog" class="modal fade" tabindex=-1 role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                <div class="modal-title h2"><?php esc_html_e( 'Export to CSV', 'bookme_pro' ) ?></div>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label for="bookme-pro-csv-delimiter"><?php esc_html_e( 'Delimiter', 'bookme_pro' ) ?></label>
                    <select id="bookme-pro-csv-delimiter" class="form-control">
                        <option value=","><?php esc_html_e( 'Comma (,)', 'bookme_pro' ) ?></option>
                        <option value=";"><?php esc_html_e( 'Semicolon (;)', 'bookme_pro' ) ?></option>
                    </select>
                </div>
                <div class="form-group">
                    <div class="checkbox"><label><input checked value="0" type="checkbox" /><?php esc_html_e( 'No.', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="1" type="checkbox" /><?php esc_html_e( 'Booking Time', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="2" type="checkbox" /><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption( 'bookme_pro_l10n_label_employee' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="3" type="checkbox" /><?php esc_html_e( 'Customer Name', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="4" type="checkbox" /><?php esc_html_e( 'Customer Phone', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="5" type="checkbox" /><?php esc_html_e( 'Customer Email', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="6" type="checkbox" /><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption( 'bookme_pro_l10n_label_service' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="7" type="checkbox" /><?php esc_html_e( 'Duration', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="8" type="checkbox" /><?php esc_html_e( 'Status', 'bookme_pro' ) ?></label></div>
                    <div class="checkbox"><label><input checked value="9" type="checkbox" /><?php esc_html_e( 'Payment', 'bookme_pro' ) ?></label></div>
                    <?php $i = 10; foreach ( $custom_fields as $custom_field ) : ?>
                        <div class="checkbox"><label><input checked value="<?php echo $i ++ ?>" type="checkbox"/><?php esc_html_e($custom_field->label) ?></label></div>
                    <?php endforeach ?>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-lg btn-primary" id="bookme-pro-export" data-dismiss="modal">
                    <?php esc_html_e( 'Export to CSV', 'bookme_pro' ) ?>
                </button>
            </div>
        </div>
    </div>
</div>