<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly ?>
<div id="bookme-pro-coupon-modal" class="slidePanel <?php echo is_rtl() ? 'slidePanel-left' : 'slidePanel-right'; ?>">
    <div class="slidePanel-scrollable">
        <div>
            <div class="slidePanel-content">
                <header class="slidePanel-header">
                    <div class="slidePanel-overlay-panel">
                        <div class="slidePanel-heading">
                            <h2 id="bookme-pro-new-coupon-title"><?php echo esc_html__('New coupon', 'bookme_pro'); ?></h2>
                            <h2 id="bookme-pro-edit-coupon-title"><?php echo esc_html__('Edit coupon', 'bookme_pro'); ?></h2>
                        </div>
                        <div class="slidePanel-actions">
                            <div class="btn-group-flat">
                                <button type="button" id="bookme-pro-coupon-save"
                                        class="btn btn-primary btn-sm" data-spinner-size="40" data-style="zoom-in"><i class="glyphicon glyphicon-ok"></i></button>
                                <button type="button" class="btn btn-default btn-sm slidePanel-close"><i
                                            class="glyphicon glyphicon-remove"></i></button>
                            </div>
                        </div>
                    </div>
                </header>
                <div class="slidePanel-inner">
                    <div class="panel-body">
                        <form>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class=form-group>
                                            <label for="bookme-pro-coupon-code"><?php esc_html_e('Code', 'bookme_pro') ?></label>
                                            <input type="text" id="bookme-pro-coupon-code" class="form-control"
                                                   name="code"/>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class=form-group>
                                            <label for="bookme-pro-coupon-discount"><?php esc_html_e('Discount (%)', 'bookme_pro') ?></label>
                                            <input type="number" id="bookme-pro-coupon-discount"
                                                   class="form-control" name="discount"/>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class=form-group>
                                            <label for="bookme-pro-coupon-deduction"><?php esc_html_e('Deduction', 'bookme_pro') ?></label>
                                            <input type="text" id="bookme-pro-coupon-deduction"
                                                   class="form-control" name="deduction"/>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class=form-group>
                                            <label for="bookme-pro-coupon-usage-limit"><?php esc_html_e('Usage limit', 'bookme_pro') ?></label>
                                            <input type="number" id="bookme-pro-coupon-usage-limit"
                                                   class="form-control" name="usage_limit" min="0"
                                                   step="1"/>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class=form-group>
                                        <label><?php esc_html_e('Services', 'bookme_pro') ?></label>
                                            <select name="service_ids[]" class="form-control bookme-pro-js-service-selector" multiple data-placeholder="<?php esc_attr_e('Select Services', 'bookme_pro') ?>" data-nothing="<?php esc_attr_e('No Service selected', 'bookme_pro') ?>" data-selected="<?php esc_attr_e('selected', 'bookme_pro') ?>" data-selectall="<?php esc_attr_e('Select All', 'bookme_pro') ?>" data-unselectall="<?php esc_attr_e('Unselect All', 'bookme_pro') ?>" data-allselected="<?php esc_attr_e('All Services Selected', 'bookme_pro') ?>">
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <?php \BookmePro\Lib\Utils\Common::csrf() ?>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>