<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<div id="bookme-pro-import-customers-dialog" class="modal fade" tabindex=-1 role="dialog">
    <div class="modal-dialog">
        <form enctype="multipart/form-data" action="<?php echo \BookmePro\Lib\Utils\Common::escAdminUrl( \BookmePro\Backend\Controllers\Customers\Controller::page_slug ) ?>" method="POST">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                    <div class="modal-title h2"><?php esc_html_e( 'Import', 'bookme_pro' ) ?></div>
                </div>
                <div class="modal-body">
                    <h4><?php esc_html_e( 'Note', 'bookme_pro' ) ?></h4>
                    <p>
                        <?php esc_html_e( 'You may import list of clients in CSV format. You can choose the columns contained in your file. The sequence of columns should coincide with the specified one.', 'bookme_pro' )  ?>
                    </p>
                    <div class="form-group">
                        <label for="import_customers_file"><?php esc_html_e( 'Select file', 'bookme_pro' ) ?></label>
                        <input name="import_customers_file" id="import_customers_file" type="file">
                    </div>
                    <div class="form-group">
                        <div class="checkbox"><label><input checked name="full_name" type="checkbox"> <?php esc_html_e( get_option( 'bookme_pro_l10n_label_name' ) ) ?></label></div>
                        <div class="checkbox"><label><input name="first_name" type="checkbox"> <?php esc_html_e( get_option( 'bookme_pro_l10n_label_first_name' ) ) ?></label></div>
                        <div class="checkbox"><label><input name="last_name" type="checkbox"> <?php esc_html_e( get_option( 'bookme_pro_l10n_label_last_name' ) ) ?></label></div>
                        <div class="checkbox"><label><input checked name="phone" type="checkbox"><?php esc_html_e( get_option( 'bookme_pro_l10n_label_phone' ) ) ?></label></div>
                        <div class="checkbox"><label><input checked name="email" type="checkbox"><?php esc_html_e( get_option( 'bookme_pro_l10n_label_email' ) ) ?></label></div>
                        <div class="checkbox"><label><input checked name="birthday" type="checkbox"><?php esc_html_e( 'Date of birth', 'bookme_pro' ) ?></label></div>
                    </div>
                    <div class="form-group">
                        <label for="import_customers_delimiter"><?php esc_html_e( 'Delimiter', 'bookme_pro' ) ?></label>
                        <select name="import_customers_delimiter" id="import_customers_delimiter" class="form-control">
                            <option value=","><?php esc_html_e( 'Comma (,)', 'bookme_pro' ) ?></option>
                            <option value=";"><?php esc_html_e( 'Semicolon (;)', 'bookme_pro' ) ?></option>
                        </select>
                    </div>
                    <input type="hidden" name="import">
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-lg btn-primary" name="import-customers">
                        <?php esc_html_e( 'Import', 'bookme_pro' ) ?>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>