<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
?>
<div id="bookme-pro-tbs" class="wrap">
    <div class="bookme-pro-tbs-body">
        <?php \BookmePro\Lib\Utils\Common::pageHeader('Data management'); ?>
        <?php if ( $import_status ) : ?>
            <div class="alert alert-success">
                <?php esc_html_e('Data successfully imported', 'bookme_pro' ); ?>
            </div>
        <?php endif ?>

        <div class="panel-group" id="data-management">
            <div class="bookme-pro-data-button">
            <form action="<?php echo admin_url( 'admin-ajax.php?action=bookme_pro_export_data' ) ?>" method="POST">
                <?php \BookmePro\Lib\Utils\Common::csrf() ?>
                <button id="bookme-pro-export" type="submit" class="btn btn-lg btn-primary">
                    <span class="ladda-label"><?php esc_html_e('Export data', 'bookme_pro' ); ?></span>
                </button>
            </form>
            </div>
            <div class="bookme-pro-data-button">
            <form id="bookme_pro_import" action="<?php echo admin_url( 'admin-ajax.php?action=bookme_pro_import_data' ) ?>" method="POST" enctype="multipart/form-data">
                <?php \BookmePro\Lib\Utils\Common::csrf() ?>
                <div id="bookme-pro-import" class="btn btn-lg btn-primary btn-file">
                    <span class="ladda-label"><?php esc_html_e('Import data', 'bookme_pro' ); ?></span>
                    <input type="file" id="bookme_pro_import_file" name="import">
                </div>
            </form>
          </div>
        </div>
        <div class="page-header text-right clearfix">
            <div class="bookme-pro-page-title">
                <?php esc_html_e('Database Integrity', 'bookme_pro' ); ?>
            </div>
        </div>
        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
            <?php foreach ( $debug as $tableName => $table ) : ?>
                <div class="panel <?php echo $table['status'] == 1 ? 'panel-success' : 'panel-danger' ?>">
                    <div class="panel-heading" role="tab" id="heading_<?php echo $tableName ?>">
                        <h4 class="panel-title">
                            <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#<?php echo $tableName ?>" aria-expanded="true" aria-controls="<?php echo $tableName ?>">
                                <?php echo $tableName ?>
                            </a>
                        </h4>
                    </div>
                    <div id="<?php echo $tableName ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="<?php echo $tableName ?>">
                        <div class="panel-body">
                            <?php if ( $table['status'] ) : ?>
                                <h4><?php esc_html_e('Columns', 'bookme_pro' ); ?></h4>
                                <table class="table table-condensed">
                                    <thead>
                                    <tr>
                                        <th><?php esc_html_e('Column name', 'bookme_pro' ); ?></th>
                                        <th width="50"><?php esc_html_e('Status', 'bookme_pro' ); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ( $table['fields'] as $field => $status ) : ?>
                                        <tr class="<?php echo $status ? 'default' : 'danger' ?>">
                                            <td><?php echo $field ?></td>
                                            <td><?php echo $status ? esc_html__('OK', 'bookme_pro' ) : esc_html__('ERROR', 'bookme_pro' ) ?></td>
                                        </tr>
                                    <?php endforeach ?>
                                    </tbody>
                                </table>
                                <?php if ( $table['constraints'] ) : ?>
                                    <h4><?php esc_html_e('Constraints', 'bookme_pro' ); ?></h4>
                                    <table class="table table-condensed">
                                        <thead>
                                        <tr>
                                            <th><?php esc_html_e('Column name', 'bookme_pro' ); ?></th>
                                            <th><?php esc_html_e('Referenced table name', 'bookme_pro' ); ?></th>
                                            <th><?php esc_html_e('Referenced column name', 'bookme_pro' ); ?></th>
                                            <th width="50"><?php esc_html_e('Status', 'bookme_pro' ); ?></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php foreach ( $table['constraints'] as $key => $constraint ) : ?>
                                            <tr class="<?php echo $constraint['status'] ? 'default' : 'danger' ?>">
                                                <td><?php echo $constraint['column_name'] ?></td>
                                                <td><?php echo $constraint['referenced_table_name'] ?></td>
                                                <td><?php echo $constraint['referenced_column_name'] ?></td>
                                                <td><?php echo $constraint['status'] ? esc_html__('OK', 'bookme_pro' ) : esc_html__('ERROR', 'bookme_pro' ) ?></td>
                                            </tr>
                                        <?php endforeach ?>
                                        </tbody>
                                    </table>
                                <?php endif ?>
                            <?php else: ?>
                                <?php esc_html_e('Table does not exist', 'bookme_pro' ); ?>
                            <?php endif ?>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>
        </div>
    </div>
</div>