<?php
namespace BookmePro\Backend\Controllers\Settings\Forms;

use BookmePro\Lib;

/**
 * Class Payments
 * @package BookmePro\Backend\Controllers\Settings
 */
class Payments extends Lib\Base\Form
{
    public function __construct()
    {
    }

    public function bind( array $_post, array $files = array() )
    {
        $fields = Lib\Proxy\Shared::preparePaymentOptions( array(
            'bookme_pro_pmt_currency',
            'bookme_pro_pmt_price_format',
            'bookme_pro_pmt_coupons',
            'bookme_pro_pmt_local',
            'bookme_pro_pmt_paypal',
            'bookme_pro_pmt_paypal_api_username',
            'bookme_pro_pmt_paypal_api_password',
            'bookme_pro_pmt_paypal_api_signature',
            'bookme_pro_pmt_paypal_sandbox',
            'bookme_pro_pmt_authorize_net',
            'bookme_pro_pmt_authorize_net_api_login_id',
            'bookme_pro_pmt_authorize_net_transaction_key',
            'bookme_pro_pmt_authorize_net_sandbox',
            'bookme_pro_pmt_stripe',
            'bookme_pro_pmt_stripe_secret_key',
            'bookme_pro_pmt_stripe_publishable_key',
            'bookme_pro_pmt_2checkout',
            'bookme_pro_pmt_2checkout_sandbox',
            'bookme_pro_pmt_2checkout_api_seller_id',
            'bookme_pro_pmt_2checkout_api_secret_word',
            'bookme_pro_pmt_payson',
            'bookme_pro_pmt_payson_sandbox',
            'bookme_pro_pmt_payson_fees_payer',
            'bookme_pro_pmt_payson_api_agent_id',
            'bookme_pro_pmt_payson_api_key',
            'bookme_pro_pmt_payson_api_receiver_email',
            'bookme_pro_pmt_payson_funding',
            'bookme_pro_pmt_mollie',
            'bookme_pro_pmt_mollie_api_key',
        ) );

        $_post = Lib\Proxy\Shared::preparePaymentOptionsData( $_post );

        $this->setFields( $fields );
        parent::bind( $_post, $files );
    }

    public function save()
    {
        if ( empty( $this->data['bookme_pro_pmt_payson_funding'] ) ) {
            $this->data['bookme_pro_pmt_payson_funding'] = array( 'CREDITCARD' );
        }
        foreach ( $this->data as $field => $value ) {
            update_option( $field, $value );
        }
    }

}