<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly ?>
<form method="post" action="<?php echo esc_url(add_query_arg('tab', 'cart')) ?>">
    <?php \BookmePro\Lib\Utils\Common::optionToggle('bookme_pro_cart_enabled', esc_html__('Cart', 'bookme_pro'), esc_html__('If cart is enabled then your clients will be able to book several appointments at once. Please note that WooCommerce integration must be disabled.', 'bookme_pro')) ?>
    <?php \BookmePro\Lib\Proxy\Shared::renderCartSettings() ?>
    <div class="form-group">
        <label for="bookme_pro_cart_show_columns"><?php esc_html_e('Columns', 'bookme_pro') ?></label><br/>
        <div class="bookme-pro-flags" id="bookme_pro_cart_show_columns">
            <?php foreach ((array)get_option('bookme_pro_cart_show_columns') as $column => $attr) : ?>
                <div class="bookme-pro-flexbox"<?php if ($column == 'deposit' && !\BookmePro\Lib\Config::depositPaymentsEnabled()) : ?> style="display:none"<?php endif ?>>
                    <div class="bookme-pro-flex-cell">
                        <i class="bookme-pro-js-handle bookme-pro-margin-right-sm bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-cursor-move"
                           title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"></i>
                    </div>
                    <div class="bookme-pro-flex-cell" style="width: 100%">
                        <div class="checkbox">
                            <label>
                                <input type="hidden" name="bookme_pro_cart_show_columns[<?php echo esc_attr($column) ?>][show]"
                                       value="0">
                                <input type="checkbox"
                                       name="bookme_pro_cart_show_columns[<?php echo esc_attr($column) ?>][show]"
                                       value="1" <?php checked($attr['show'], true) ?>>
                                <?php echo isset($cart_columns[$column]) ? $cart_columns[$column] : '' ?>
                            </label>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>
        </div>
    </div>
    <div class="panel-footer">
        <?php \BookmePro\Lib\Utils\Common::csrf() ?>
        <?php \BookmePro\Lib\Utils\Common::submitButton() ?>
        <?php \BookmePro\Lib\Utils\Common::resetButton() ?>
    </div>
</form>