<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
use BookmePro\Lib\Utils\Common;

?>
<form method="post" action="<?php echo esc_url(add_query_arg('tab', 'customers')) ?>">
    <?php Common::optionToggle('bookme_pro_cst_create_account', esc_html__('Create WordPress user account for customers', 'bookme_pro'), esc_html__('If this setting is enabled then Bookme Pro will be creating WordPress user accounts for all new customers. If the user is logged in then the new customer will be associated with the existing user account.', 'bookme_pro'));
    Common::optionToggle('bookme_pro_cst_new_account_role', esc_html__('New user account role', 'bookme_pro'), esc_html__('Select what role will be assigned to newly created WordPress user accounts for customers.', 'bookme_pro'),
        $values['bookme_pro_cst_new_account_role']);
    Common::optionToggle('bookme_pro_cst_phone_default_country', esc_html__('Phone field default country', 'bookme_pro'), esc_html__('Select default country for the phone field in the \'Details\' step of booking. You can also let Bookme Pro determine the country based on the IP address of the client.', 'bookme_pro'),
        array(array('disabled', esc_html__('Disabled', 'bookme_pro')), array('auto', esc_html__('Guess country by user\'s IP address', 'bookme_pro'))));
    Common::optionText('bookme_pro_cst_default_country_code', esc_html__('Default country code', 'bookme_pro'), esc_html__('Your clients must have their phone numbers in international format in order to receive text messages. However you can specify a default country code that will be used as a prefix for all phone numbers that do not start with "+" or "00". E.g. if you enter "1" as the default country code and a client enters their phone as "(600) 555-2222" the resulting phone number to send the SMS to will be "+1600555222".', 'bookme_pro'));
    Common::optionToggle('bookme_pro_cst_cancel_action', esc_html__('Cancel appointment action', 'bookme_pro'), esc_html__('Select what happens when customer clicks cancel appointment link. With "Delete" the appointment will be deleted from the calendar. With "Cancel" only appointment status will be changed to "Cancelled".', 'bookme_pro'),
        array(array('delete', esc_html__('Delete', 'bookme_pro')), array('cancel', esc_html__('Cancel', 'bookme_pro'))));
    Common::optionToggle('bookme_pro_cst_combined_notifications', esc_html__('Combined notifications', 'bookme_pro'), esc_html__('If combined notifications are enabled then your clients will receive single notification for entire booking instead of separate notification per each booked appointment (e.g. when cart is enabled). You will need to edit corresponding templates in Email and SMS Notifications.', 'bookme_pro'));
    Common::optionToggle('bookme_pro_cst_remember_in_cookie', esc_html__('Remember personal information in cookies', 'bookme_pro'), esc_html__('If this setting is enabled then returning customers will have their personal information fields filled in at the Details step with the data previously saved in cookies.', 'bookme_pro'));
    Common::optionToggle('bookme_pro_cst_show_update_details_dialog', esc_html__('Show confirmation dialog before updating customer\'s data', 'bookme_pro'), esc_html__('If this option is enabled and customer enters contact info different from the previous order, a warning message will appear asking to update the data.', 'bookme_pro'));
    ?>
    <div class="panel-footer">
        <?php Common::csrf() ?>
        <?php Common::submitButton() ?>
        <?php Common::resetButton('bookme-pro-customer-reset') ?>
    </div>
</form>