<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
use BookmePro\Lib\Proxy;
use BookmePro\Lib\Utils\Common;

?>
<form method="post" action="<?php echo esc_url(add_query_arg('tab', 'url')) ?>">
    <?php
    Common::optionText('bookme_pro_url_approve_page_url', esc_html__('Approve appointment URL (success)', 'bookme_pro'), esc_html__('Set the URL of a page that is shown to staff after they successfully approved the appointment.', 'bookme_pro'));
    Common::optionText('bookme_pro_url_approve_denied_page_url', esc_html__('Approve appointment URL (denied)', 'bookme_pro'), esc_html__('Set the URL of a page that is shown to staff when the approval of appointment cannot be done (due to capacity, changed status, etc.).', 'bookme_pro'));
    Common::optionText('bookme_pro_url_cancel_page_url', esc_html__('Cancel appointment URL (success)', 'bookme_pro'), esc_html__('Set the URL of a page that is shown to clients after they successfully cancelled their appointment.', 'bookme_pro'));
    Common::optionText('bookme_pro_url_cancel_denied_page_url', esc_html__('Cancel appointment URL (denied)', 'bookme_pro'), esc_html__('Set the URL of a page that is shown to clients when the cancellation of appointment is not available anymore.', 'bookme_pro'));
    Common::optionText('bookme_pro_url_reject_page_url', esc_html__('Reject appointment URL (success)', 'bookme_pro'), esc_html__('Set the URL of a page that is shown to staff after they successfully rejected the appointment.', 'bookme_pro'));
    Common::optionText('bookme_pro_url_reject_denied_page_url', esc_html__('Reject appointment URL (denied)', 'bookme_pro'), esc_html__('Set the URL of a page that is shown to staff when the rejection of appointment cannot be done (due to changed status, etc.).', 'bookme_pro'));
    ?>
    <div class="form-group">
        <label for="bookme_pro_settings_final_step_url_mode"><?php esc_html_e('Final step URL', 'bookme_pro') ?></label>
        <p class="help-block"><?php esc_html_e('Set the URL of a page that the user will be forwarded to after successful booking. If disabled then the default Done step is displayed.', 'bookme_pro') ?></p>
        <select class="form-control" id="bookme_pro_settings_final_step_url_mode">
            <?php foreach (array(esc_html__('Disabled', 'bookme_pro') => 0, esc_html__('Enabled', 'bookme_pro') => 1) as $text => $mode) : ?>
                <option value="<?php echo esc_attr($mode) ?>" <?php selected(get_option('bookme_pro_url_final_step_url'), $mode) ?> ><?php echo $text ?></option>
            <?php endforeach ?>
        </select>
        <input class="form-control"
               style="margin-top: 5px; <?php echo get_option('bookme_pro_url_final_step_url') == '' ? 'display: none' : '' ?>"
               type="text" name="bookme_pro_url_final_step_url"
               value="<?php form_option('bookme_pro_url_final_step_url') ?>"
               placeholder="<?php esc_attr_e('Enter a URL', 'bookme_pro') ?>"/>
    </div>
    <?php Proxy\Shared::renderUrlSettings() ?>
    <div class="panel-footer">
        <?php Common::csrf() ?>
        <?php Common::submitButton() ?>
        <?php Common::resetButton() ?>
    </div>
</form>