<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use BookmePro\Lib\Utils\Common;
use BookmePro\Lib\Utils\Price;

echo $progress_tracker;
?>
<div class="bookme-pro-box"><?php echo $info_text ?></div>
<div class="bookme-pro-box">
    <button class="bookme-pro-add-item bookme-pro-btn ladda-button" data-style="zoom-in" data-spinner-size="40">
        <span class="ladda-label"><?php echo Common::getTranslatedOption( 'bookme_pro_l10n_button_book_more' ) ?></span>
    </button>
    <div class="bookme-pro-holder bookme-pro-label-error bookme-pro-bold"></div>
</div>
<div class="bookme-pro-cart-step">
    <div class="bookme-pro-cart bookme-pro-box">
        <table>
            <thead class="bookme-pro-desktop-version">
                <tr>
                    <?php foreach ( $columns as $position => $column ) : ?>
                        <th><?php echo $column ?></th>
                    <?php endforeach ?>
                    <th></th>
                </tr>
            </thead>
            <tbody class="bookme-pro-desktop-version">
            <?php foreach ( $items_data as $key => $data ) : ?>
                <tr data-cart-key="<?php echo esc_attr($key) ?>" class="bookme-pro-cart-primary">
                    <?php foreach ( $data as $position => $value ) : ?>
                    <td><?php echo esc_html($value) ?></td>
                    <?php endforeach ?>
                    <td class="bookme-pro-rtext bookme-pro-nowrap bookme-pro-js-actions">
                        <button class="bookme-pro-round" data-action="edit" title="<?php esc_attr_e( 'Edit', 'bookme_pro' ) ?>" data-style="zoom-in" data-spinner-size="30"><span class="ladda-label"><i class="bookme-pro-icon-sm bookme-pro-icon-edit"></i></span></button>
                        <button class="bookme-pro-round" data-action="drop" title="<?php esc_attr_e( 'Remove', 'bookme_pro' ) ?>" data-style="zoom-in" data-spinner-size="30"><span class="ladda-label"><i class="bookme-pro-icon-sm bookme-pro-icon-drop"></i></span></button>
                    </td>
                </tr>
            <?php endforeach ?>
            </tbody>
            <tbody class="bookme-pro-mobile-version">
            <?php foreach ( $items_data as $key => $data ) : ?>
                <?php foreach ( $data as $position => $value ) : ?>
                    <tr data-cart-key="<?php echo esc_attr($key) ?>" class="bookme-pro-cart-primary">
                        <th><?php echo esc_html($columns[ $position ]) ?></th>
                        <td><?php echo esc_html($value) ?></td>
                    </tr>
                <?php endforeach ?>
                <tr data-cart-key="<?php echo esc_attr($key) ?>">
                    <th></th>
                    <td class="bookme-pro-js-actions">
                        <button class="bookme-pro-round" data-action="edit" title="<?php esc_attr_e( 'Edit', 'bookme_pro' ) ?>" data-style="zoom-in" data-spinner-size="30"><span class="ladda-label"><i class="bookme-pro-icon-sm bookme-pro-icon-edit"></i></span></button>
                        <button class="bookme-pro-round" data-action="drop" title="<?php esc_attr_e( 'Remove', 'bookme_pro' ) ?>" data-style="zoom-in" data-spinner-size="30"><span class="ladda-label"><i class="bookme-pro-icon-sm bookme-pro-icon-drop"></i></span></button>
                    </td>
                </tr>
            <?php endforeach ?>
            </tbody>
            <?php if ( isset( $positions['price'] ) || ( $deposit['show'] && isset( $positions['deposit'] ) ) ) : ?>
                <tfoot class="bookme-pro-mobile-version">
                <tr>
                    <th><?php esc_html_e( 'Total', 'bookme_pro' ) ?>:</th>
                    <td><strong class="bookme-pro-js-total-price"><?php echo Price::format( $total ) ?></strong></td>
                </tr>
                <?php if ( $deposit['show'] ) : ?>
                    <tr>
                        <th><?php esc_html_e( 'Deposit', 'bookme_pro' ) ?>:</th>
                        <td><strong class="bookme-pro-js-total-deposit-price"><?php echo Price::format( $deposit['to_pay'] ) ?></strong></td>
                    </tr>
                <?php endif ?>
                </tfoot>
                <tfoot class="bookme-pro-desktop-version">
                <tr class="bookme-pro-cart-total">
                    <?php foreach ( $columns as $position => $column ) : ?>
                    <td>
                        <?php if ( $position == 0 ) : ?>
                        <strong><?php esc_html_e( 'Total', 'bookme_pro' ) ?>:</strong>
                        <?php endif ?>
                        <?php if ( isset( $positions['price'] ) && $position == $positions['price'] ) : ?>
                        <strong class="bookme-pro-js-total-price"><?php echo Price::format( $total ) ?></strong>
                        <?php endif ?>
                        <?php if ( $deposit['show'] && $position == $positions['deposit'] ) : ?>
                        <strong class="bookme-pro-js-total-deposit-price"><?php echo Price::format( $deposit['to_pay'] ) ?></strong>
                        <?php endif ?>
                    </td>
                    <?php endforeach ?>
                    <td></td>
                </tr>
                </tfoot>
            <?php endif ?>
        </table>
    </div>
</div>


<div class="bookme-pro-box bookme-pro-nav-steps">
    <button class="bookme-pro-back-step bookme-pro-js-back-step bookme-pro-btn ladda-button" data-style="zoom-in" data-spinner-size="40">
        <span class="ladda-label"><?php echo Common::getTranslatedOption( 'bookme_pro_l10n_button_back' ) ?></span>
    </button>
    <button class="bookme-pro-next-step bookme-pro-js-next-step bookme-pro-btn ladda-button" data-style="zoom-in" data-spinner-size="40">
        <span class="ladda-label"><?php echo Common::getTranslatedOption( 'bookme_pro_l10n_step_cart_button_next' ) ?></span>
    </button>
</div>