<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
use BookmePro\Lib\Utils\Common;
use BookmePro\Lib\Config;
use BookmePro\Lib\Plugin;

/** @var \BookmePro\Lib\UserBookingData $userData */
echo $progress_tracker;
?>

<div class="bookme-pro-box"><?php echo $info_text ?></div>
<?php if ($info_text_guest) : ?>
    <div class="bookme-pro-box bookme-pro-js-guest"><?php echo $info_text_guest ?></div>
<?php endif ?>
<?php if (get_option('bookme_pro_app_show_login_button') && get_current_user_id() == 0) : ?>
    <div class="bookme-pro-box bookme-pro-js-guest">
        <button class="bookme-pro-btn bookme-pro-inline-block bookme-pro-js-login-show ladda-button"><?php echo Common::getTranslatedOption('bookme_pro_l10n_step_details_button_login') ?></button>
    </div>
<?php endif ?>

<div class="bookme-pro-details-step bookme-pro-table">
    <div>
        <?php if (Config::showFirstLastName()) : ?>
            <div class="bookme-pro-box">
                <div class="bookme-pro-form-group">
                    <label><?php echo Common::getTranslatedOption('bookme_pro_l10n_label_first_name') ?></label>
                    <div>
                        <input class="bookme-pro-js-first-name" type="text"
                               value="<?php echo esc_attr($userData->get('first_name')) ?>"/>
                    </div>
                    <div class="bookme-pro-js-first-name-error bookme-pro-label-error"></div>
                </div>
                <div class="bookme-pro-form-group">
                    <label><?php echo Common::getTranslatedOption('bookme_pro_l10n_label_last_name') ?></label>
                    <div>
                        <input class="bookme-pro-js-last-name" type="text"
                               value="<?php echo esc_attr($userData->get('last_name')) ?>"/>
                    </div>
                    <div class="bookme-pro-js-last-name-error bookme-pro-label-error"></div>
                </div>
            </div>
        <?php endif ?>
        <div class="bookme-pro-box">
            <?php if (!get_option('bookme_pro_cst_first_last_name')) : ?>
                <div class="bookme-pro-form-group">
                    <label><?php echo Common::getTranslatedOption('bookme_pro_l10n_label_name') ?></label>
                    <div>
                        <input class="bookme-pro-js-full-name" type="text"
                               value="<?php echo esc_attr($userData->get('full_name')) ?>"/>
                    </div>
                    <div class="bookme-pro-js-full-name-error bookme-pro-label-error"></div>
                </div>
            <?php endif ?>
            <div class="bookme-pro-form-group">
                <label><?php echo Common::getTranslatedOption('bookme_pro_l10n_label_phone') ?></label>
                <div>
                    <input class="bookme-pro-js-user-phone-input<?php if (get_option('bookme_pro_cst_phone_default_country') != 'disabled') : ?> bookme-pro-user-phone<?php endif ?>"
                           value="<?php echo esc_attr($userData->get('phone')) ?>" type="text"/>
                </div>
                <div class="bookme-pro-js-user-phone-error bookme-pro-label-error"></div>
            </div>
            <div class="bookme-pro-form-group">
                <label><?php echo Common::getTranslatedOption('bookme_pro_l10n_label_email') ?></label>
                <div>
                    <input class="bookme-pro-js-user-email" maxlength="255" type="text"
                           value="<?php echo esc_attr($userData->get('email')) ?>"/>
                </div>
                <div class="bookme-pro-js-user-email-error bookme-pro-label-error"></div>
            </div>
        </div>
        <?php foreach ($cf_data as $key => $cf_item) : ?>
            <div class="bookme-pro-custom-fields-container" data-key="<?php echo esc_attr($key) ?>">
                <?php if ($show_service_title && !empty ($cf_item['custom_fields'])) : ?>
                    <div class="bookme-pro-box"><b><?php echo esc_html($cf_item['service_title']) ?></b></div>
                <?php endif ?>
                <?php foreach ($cf_item['custom_fields'] as $custom_field) : ?>
                    <div class="bookme-pro-box bookme-pro-custom-field-row" data-id="<?php echo esc_attr($custom_field->id) ?>"
                         data-type="<?php echo esc_attr($custom_field->type) ?>">
                        <div class="bookme-pro-form-group">
                            <?php if ($custom_field->type != 'text-content') : ?>
                                <label><?php echo esc_html($custom_field->label);
                                    if ($custom_field->type == 'captcha') :
                                        ?>
                                        <img class="bookme-pro-js-captcha-refresh" width="16" height="16"
                                             title="<?php esc_attr_e('Another code', 'bookme_pro') ?>"
                                             alt="<?php esc_attr_e('Another code', 'bookme_pro') ?>"
                                             src="<?php echo esc_url(plugins_url('frontend/assets/images/refresh.png', Plugin::getMainFile())) ?>"
                                             style="cursor: pointer"/>
                                        <?php
                                    endif
                                    ?></label>
                            <?php endif ?>
                            <div>
                                <?php if ($custom_field->type == 'text-field') : ?>
                                    <input type="text" class="bookme-pro-custom-field"
                                           value="<?php echo isset($cf_item['data'][$custom_field->id]) ? esc_attr($cf_item['data'][$custom_field->id]) : ''; ?>"/>
                                <?php elseif ($custom_field->type == 'textarea') : ?>
                                    <textarea rows="3"
                                              class="bookme-pro-custom-field"><?php echo isset($cf_item['data'][$custom_field->id]) ? esc_html($cf_item['data'][$custom_field->id]) : '' ?></textarea>
                                <?php elseif ($custom_field->type == 'text-content') : ?>
                                    <?php echo nl2br($custom_field->label) ?>
                                <?php elseif ($custom_field->type == 'checkboxes') : ?>
                                    <?php foreach ($custom_field->items as $item) : ?>
                                        <label>
                                            <input type="checkbox" class="bookme-pro-custom-field"
                                                   value="<?php echo esc_attr($item['value']) ?>" <?php checked(in_array($item['value'], isset($cf_item['data'][$custom_field->id]) ? $cf_item['data'][$custom_field->id] : array()), true, true) ?> />
                                            <span><?php echo esc_html($item['label']) ?></span>
                                        </label><br/>
                                    <?php endforeach ?>
                                <?php elseif ($custom_field->type == 'radio-buttons') : ?>
                                    <?php foreach ($custom_field->items as $item) : ?>
                                        <label>
                                            <input type="radio" class="bookme-pro-custom-field"
                                                   name="bookme-pro-custom-field-<?php echo esc_attr($custom_field->id) ?>"
                                                   value="<?php echo esc_attr($item['value']) ?>" <?php checked($item['value'], isset($cf_item['data'][$custom_field->id]) ?$cf_item['data'][$custom_field->id] : '', true) ?> />
                                            <span><?php echo esc_html($item['label']) ?></span>
                                        </label><br/>
                                    <?php endforeach ?>
                                <?php elseif ($custom_field->type == 'drop-down') : ?>
                                    <select class="bookme-pro-custom-field">
                                        <option value=""></option>
                                        <?php foreach ($custom_field->items as $item) : ?>
                                            <option value="<?php echo esc_attr($item['value']) ?>" <?php selected($item['value'], isset($cf_item['data'][$custom_field->id]) ? $cf_item['data'][$custom_field->id] : '', true) ?>><?php echo esc_html($item['label']) ?></option>
                                        <?php endforeach ?>
                                    </select>
                                <?php elseif ($custom_field->type == 'captcha') : ?>
                                    <img class="bookme-pro-js-captcha-img" src="<?php echo esc_url($captcha_url) ?>"
                                         alt="<?php esc_attr_e('Captcha', 'bookme_pro') ?>" height="75" width="160"
                                         style="width:160px;height:75px;"/>
                                    <input type="text" class="bookme-pro-custom-field bookme-pro-captcha"
                                           value="<?php echo isset($cf_item['data'][$custom_field->id]) ? esc_attr($cf_item['data'][$custom_field->id]) : '' ?>"/>
                                <?php endif ?>
                            </div>
                            <?php if ($custom_field->type != 'text-content') : ?>
                                <div class="bookme-pro-label-error bookme-pro-custom-field-error"></div>
                            <?php endif ?>
                        </div>
                    </div>
                <?php endforeach ?>
            </div>
        <?php endforeach ?>
    </div>
    <?php if (!$disabled): ?>
        <div>
            <div>
                <?php foreach ($booking_data as $data): ?>
                    <div class="bookme-pro-box bookme-pro-appointment">
                        <div class="bookme-pro-table">
                            <div>
                                <?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_time') ?>
                            </div>
                            <div>
                                <?php echo str_replace(
                                    array(
                                        '{service_date}',
                                        '{service_time}'
                                    ),
                                    array(
                                        $data['service_date'],
                                        $data['service_time']
                                    ),
                                    \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_service_time')
                                ) ?>
                            </div>
                        </div>
                        <div class="bookme-pro-table">
                            <div>
                                <?php echo str_replace(
                                    array(
                                        '{category_name}',
                                        '{number_of_persons}',
                                        '{service_name}',
                                        '{staff_name}',
                                        'x'
                                    ),
                                    array(
                                        '<strong>' . $data['category_name'] . '</strong>',
                                        '<strong>' . $data['number_of_persons'] . '</strong>',
                                        '<strong>' . $data['service_name'] . '</strong>',
                                        '<strong>' . $data['staff_name'] . '</strong>',
                                        '&times;'
                                    ),
                                    \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_service_details')) ?>
                            </div>
                            <div>
                                <strong><?php echo esc_html($data['service_price']); ?></strong>
                            </div>
                        </div>
                    </div>
                <?php endforeach;
                if (get_option('bookme_pro_pmt_coupons')) : ?>
                    <div class="bookme-pro-box bookme-pro-appointment">
                        <div class="bookme-pro-table">
                            <div>
                                <?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_sub_total') ?>
                            </div>
                            <div>
                                <strong><?php echo esc_html($sub_total); ?></strong>
                            </div>
                        </div>
                        <div class="bookme-pro-table">
                            <div>
                                <?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_discount') ?>
                            </div>
                            <div>
                                <strong id="bookme-pro-js-coupon-discount"><?php echo esc_html($discount_price); ?></strong>
                            </div>
                        </div>
                        <div class="bookme-pro-table">
                            <div class="bookme-pro-coupon-box">
                                <?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_coupon') ?>
                            </div>
                            <div class="bookme-pro-box bookme-pro-list">
                                <?php if ($coupon_code) : ?>
                                    <?php echo esc_attr($coupon_code) . ' ✓' ?>
                                <?php else : ?>
                                    <input class="bookme-pro-user-coupon" name="bookme-pro-coupon" type="text"
                                           value="<?php echo esc_attr($coupon_code) ?>"/>
                                    <button class="bookme-pro-btn bookme-pro-btn-small ladda-button bookme-pro-js-apply-coupon"
                                            data-style="zoom-in" data-spinner-size="40">
                                        <span class="ladda-label">✓</span><span
                                                class="spinner"></span>
                                    </button>
                                <?php endif ?>
                            </div>
                        </div>
                        <div class="bookme-pro-label-error bookme-pro-js-coupon-error"></div>
                    </div>
                <?php endif ?>
                <div class="bookme-pro-box bookme-pro-appointment">
                    <div class="bookme-pro-table">
                        <div>
                            <?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_total') ?>
                        </div>
                        <div>
                            <strong id="bookme-pro-js-coupon-total"><?php echo esc_html($total); ?></strong>
                        </div>
                    </div>
                </div>
                <?php if (!\BookmePro\Lib\Config::wooCommerceEnabled()): ?>
                    <div class="bookme-pro-payment-nav">
                        <div class="bookme-pro-box">
                            <strong><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_choose_payment') ?></strong>
                        </div>
                        <?php if ($pay_local) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="local"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_locally') ?></span>
                                </label>
                            </div>
                        <?php endif ?>

                        <?php if ($pay_paypal) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="paypal"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_paypal') ?></span>
                                    <img src="<?php echo esc_url(plugins_url('frontend/assets/images/paypal.png', \BookmePro\Lib\Plugin::getMainFile())) ?>"
                                         alt="PayPal"/>
                                </label>
                                <?php if ($payment['gateway'] == BookmePro\Lib\Entities\Payment::TYPE_PAYPAL && $payment['status'] == 'error') : ?>
                                    <div class="bookme-pro-label-error"><?php echo esc_html($payment['data']) ?></div>
                                <?php endif ?>
                                <div class="pay-paypal">
                                    <?php if ($pay_paypal === BookmePro\Lib\Payment\PayPal::TYPE_EXPRESS_CHECKOUT) :
                                        BookmePro\Lib\Payment\PayPal::renderECForm($form_id);
                                    endif ?>
                                </div>
                            </div>
                        <?php endif ?>

                        <?php if ($pay_authorize_net) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="card" data-form="authorize-net"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_ccard') ?></span>
                                    <img src="<?php echo esc_url($url_cards_image) ?>" alt="cards"/>
                                </label>
                                <form class="bookme-pro-authorize-net" style="display: none; margin-top: 15px;">
                                    <?php include '_card_payment.php' ?>
                                </form>
                            </div>
                        <?php endif ?>

                        <?php if ($pay_stripe) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="card" data-form="stripe"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_ccard') ?></span>
                                    <img src="<?php echo esc_url($url_cards_image) ?>" alt="cards"/>
                                </label>
                                <?php if (get_option('bookme_pro_pmt_stripe_publishable_key') != '') : ?>
                                    <script type="text/javascript" src="https://js.stripe.com/v2/"></script>
                                <?php endif ?>
                                <form class="bookme-pro-stripe" style="display: none; margin-top: 15px;">
                                    <input type="hidden" id="publishable_key"
                                           value="<?php echo get_option('bookme_pro_pmt_stripe_publishable_key') ?>">
                                    <?php include '_card_payment.php' ?>
                                </form>
                            </div>
                        <?php endif ?>

                        <?php if ($pay_2checkout) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="2checkout"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_ccard') ?></span>
                                    <img src="<?php echo esc_url($url_cards_image) ?>" alt="cards"/>
                                </label>
                                <div class="pay-2checkout">
                                    <?php BookmePro\Lib\Payment\TwoCheckout::renderForm($form_id, $page_url) ?>
                                </div>
                            </div>
                        <?php endif ?>

                        <div class="bookme-pro-box bookme-pro-list" style="display: none">
                            <input type="radio" class="bookme-pro-payment bookme-pro-js-coupon-free"
                                   name="payment-method-<?php echo esc_attr($form_id) ?>"
                                   value="coupon"/>
                        </div>

                        <?php if ($pay_payson) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="payson"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_ccard') ?></span>
                                    <img src="<?php echo esc_url($url_cards_image) ?>" alt="cards"/>
                                </label>
                                <?php if ($payment['gateway'] == BookmePro\Lib\Entities\Payment::TYPE_PAYSON && $payment['status'] == 'error') : ?>
                                    <div class="bookme-pro-label-error" style="padding-top: 5px;">
                                        * <?php echo esc_html($payment['data']) ?></div>
                                <?php endif ?>
                                <div class="pay-payson">
                                    <?php BookmePro\Lib\Payment\Payson::renderForm($form_id, $page_url) ?>
                                </div>
                            </div>
                        <?php endif ?>

                        <?php if ($pay_mollie) : ?>
                            <div class="bookme-pro-box bookme-pro-list">
                                <label>
                                    <input type="radio" class="bookme-pro-payment"
                                           name="payment-method-<?php echo esc_attr($form_id) ?>"
                                           value="mollie"/>
                                    <span><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_label_pay_mollie') ?></span>
                                    <img src="<?php echo esc_url(plugins_url('frontend/assets/images/mollie.png', \BookmePro\Lib\Plugin::getMainFile())) ?>"
                                         alt="Mollie"/>
                                </label>
                                <?php if ($payment['gateway'] == BookmePro\Lib\Entities\Payment::TYPE_MOLLIE && $payment['status'] == 'error') : ?>
                                    <div class="bookme-pro-label-error" style="padding-top: 5px;">
                                        * <?php echo esc_html($payment['data']) ?></div>
                                <?php endif ?>
                                <div class="pay-mollie">
                                    <?php BookmePro\Lib\Payment\Mollie::renderForm($form_id, $page_url) ?>
                                </div>
                            </div>
                        <?php endif ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    <?php endif; ?>
</div>

<?php $this->render('_info_block', compact('info_message')) ?>


<div class="bookme-pro-gateway-buttons bookme-pro-box bookme-pro-nav-steps">
    <button class="bookme-pro-back-step bookme-pro-js-back-step bookme-pro-btn ladda-button" data-style="zoom-in"
            data-spinner-size="40">
        <span class="ladda-label"><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_button_back') ?></span>
    </button>
    <button class="bookme-pro-next-step bookme-pro-js-next-step bookme-pro-btn ladda-button" data-style="zoom-in"
            data-spinner-size="40">
        <span class="ladda-label"><?php echo \BookmePro\Lib\Utils\Common::getTranslatedOption('bookme_pro_l10n_step_details_button_next') ?></span>
    </button>
</div>